Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface T3StartupDef

public interface T3StartupDef

T3StartupDef defines the interface for user-written startup objects.

A class that implements this interface and is registered in WebLogic's `weblogic.properties` file will be automatically launched when the WebLogic Server starts up, and its startup method will be called. For more information on registering a startup class, check the Administrators guide document, Setting WebLogic properties.

Any class that implements this interface must have a public default constructor. For example, class "foo" must have a contstructor like:

         public foo() {
         }

Author:
  Copyright (c) 1996-98, WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `setServices(T3ServicesDef services)` Sets the services stub for the T3StartupDef object.
`java.lang.String` | `startup(java.lang.String name, java.util.Hashtable ht)` The startup method is called by the WebLogic Server when your object is launched.

Method Detail

### startup

    public java.lang.String startup(java.lang.String name,
                                    java.util.Hashtable ht)
                             throws java.lang.Exception

  The startup method is called by the WebLogic Server when your object is launched. Its arguments are supplied by the registration in WebLogic's `weblogic.properties` file. The "name" argument is the virtual_name for the `startupClass` property, and the "hashtable" argument is made up of the name-value pairs supplied with the `startupArgs` property. The String returned by the startup() method is sent to the log file.

  Parameters:
    `name` - Virtual name by which the class is registered as a startupClass in the `weblogic.properties` file
    `ht` - A Hashtable that is made up of the name-value pairs supplied from the startupArgs property
  Returns:
    String that is sent to the log file
  Throws:
    java.lang.Exception - if there is an error

### setServices

    public void setServices(T3ServicesDef services)

  Sets the services stub for the T3StartupDef object. The StartupDef can use the services reference to obtain access to services in the WebLogic Server. This method is invoked by the WebLogic Server prior to the `startup()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD